def predict_subscribed_deposit(data={}):
    """ Predictor for Subscribed deposit from model/50b18678eabcb404cd000817

        The goal is to predict if the client will subscribe a term deposit using the data of direct marketing campaigns of a Portuguese banking institution. The marketing campaigns were based on phone calls. Often, more than one contact to the same client was required, in order to access if the product (bank term deposit) would be (or not) subscribed.
        ** Source **
        Bank Marketing Data Set[*] at UCI[*] Machine Learning Repository[*]
        [*]Bank Marketing Data Set: http://archive.ics.uci.edu/ml/datasets/Bank+Marketing
        [*]UCI: http://cml.ics.uci.edu/
        [*]Machine Learning Repository: http://archive.ics.uci.edu/ml/index.html
    """
    if (data.get('last_contact_duration_sec_') is None):
        return u'no'
    if (data['last_contact_duration_sec_'] <= 251):
        if (data.get('outcome_previous_campaign') is None):
            return u'no'
        if (data['outcome_previous_campaign'] == 'success'):
            if (data['last_contact_duration_sec_'] <= 146):
                if (data.get('education') is None):
                    return u'no'
                if (data['education'] == 'tertiary'):
                    if (data.get('job') is None):
                        return u'yes'
                    if (data['job'] == 'technician'):
                        if (data.get('last_contact_month') is None):
                            return u'no'
                        if (data['last_contact_month'] == 'jan'):
                            return u'yes'
                        if (data['last_contact_month'] != 'jan'):
                            return u'no'
                    if (data['job'] != 'technician'):
                        return u'yes'
                if (data['education'] != 'tertiary'):
                    return u'no'
            if (data['last_contact_duration_sec_'] > 146):
                if (data.get('age') is None):
                    return u'yes'
                if (data['age'] <= 33):
                    if (data.get('previous_contacts') is None):
                        return u'no'
                    if (data['previous_contacts'] <= 4):
                        return u'no'
                    if (data['previous_contacts'] > 4):
                        if (data.get('has_housing_loan') is None):
                            return u'yes'
                        if (data['has_housing_loan'] == 'yes'):
                            return u'yes'
                        if (data['has_housing_loan'] == 'no'):
                            return u'no'
                if (data['age'] > 33):
                    if (data['age'] <= 43):
                        return u'yes'
                    if (data['age'] > 43):
                        if (data.get('days_passed') is None):
                            return u'yes'
                        if (data['days_passed'] <= 95):
                            return u'yes'
                        if (data['days_passed'] > 95):
                            if (data.get('avg_credit_balance') is None):
                                return u'no'
                            if (data['avg_credit_balance'] <= 3052):
                                if (data.get('has_housing_loan') is None):
                                    return u'no'
                                if (data['has_housing_loan'] == 'yes'):
                                    return u'yes'
                                if (data['has_housing_loan'] == 'no'):
                                    return u'no'
                            if (data['avg_credit_balance'] > 3052):
                                if (data.get('last_contact_month') is None):
                                    return u'yes'
                                if (data['last_contact_month'] == 'nov'):
                                    return u'no'
                                if (data['last_contact_month'] != 'nov'):
                                    return u'yes'
        if (data['outcome_previous_campaign'] != 'success'):
            if (data['last_contact_duration_sec_'] <= 88):
                if (data['last_contact_duration_sec_'] <= 74):
                    if (data.get('days_passed') is None):
                        return u'no'
                    if (data['days_passed'] <= 353):
                        return u'no'
                    if (data['days_passed'] > 353):
                        return u'no'
                if (data['last_contact_duration_sec_'] > 74):
                    if (data.get('avg_credit_balance') is None):
                        return u'no'
                    if (data['avg_credit_balance'] <= 293):
                        if (data.get('last_contact_month') is None):
                            return u'no'
                        if (data['last_contact_month'] == 'mar'):
                            return u'yes'
                        if (data['last_contact_month'] != 'mar'):
                            if (data.get('education') is None):
                                return u'no'
                            if (data['education'] == 'tertiary'):
                                return u'no'
                            if (data['education'] != 'tertiary'):
                                return u'no'
                    if (data['avg_credit_balance'] > 293):
                        return u'no'
            if (data['last_contact_duration_sec_'] > 88):
                if (data.get('contact_type') is None):
                    return u'no'
                if (data['contact_type'] == 'unknown'):
                    if (data.get('last_contact_month') is None):
                        return u'no'
                    if (data['last_contact_month'] == 'oct'):
                        return u'yes'
                    if (data['last_contact_month'] != 'oct'):
                        if (data['outcome_previous_campaign'] == 'other'):
                            return u'yes'
                        if (data['outcome_previous_campaign'] != 'other'):
                            if (data['last_contact_month'] == 'nov'):
                                if (data['outcome_previous_campaign'] == 'failure'):
                                    return u'no'
                                if (data['outcome_previous_campaign'] == 'unknown'):
                                    return u'yes'
                            if (data['last_contact_month'] != 'nov'):
                                return u'no'
                if (data['contact_type'] != 'unknown'):
                    if (data.get('last_contact_month') is None):
                        return u'no'
                    if (data['last_contact_month'] == 'mar'):
                        if (data.get('number_of_contacts') is None):
                            return u'no'
                        if (data['number_of_contacts'] <= 3):
                            return u'yes'
                        if (data['number_of_contacts'] > 3):
                            return u'no'
                    if (data['last_contact_month'] != 'mar'):
                        if (data['last_contact_duration_sec_'] <= 212):
                            if (data['last_contact_month'] == 'oct'):
                                if (data.get('last_contact_day') is None):
                                    return u'no'
                                if (data['last_contact_day'] <= 20):
                                    return u'no'
                                if (data['last_contact_day'] > 20):
                                    return u'yes'
                            if (data['last_contact_month'] != 'oct'):
                                if (data.get('avg_credit_balance') is None):
                                    return u'no'
                                if (data['avg_credit_balance'] <= 2032):
                                    if (data.get('job') is None):
                                        return u'no'
                                    if (data['job'] == 'student'):
                                        return u'no'
                                    if (data['job'] != 'student'):
                                        if (data.get('days_passed') is None):
                                            return u'no'
                                        if (data['days_passed'] <= 374):
                                            if (data['last_contact_month'] == 'jun'):
                                                if (data['job'] == 'blue-collar'):
                                                    if (data['last_contact_duration_sec_'] <= 151):
                                                        return u'no'
                                                    if (data['last_contact_duration_sec_'] > 151):
                                                        return u'yes'
                                                if (data['job'] != 'blue-collar'):
                                                    return u'no'
                                            if (data['last_contact_month'] != 'jun'):
                                                if (data['last_contact_month'] == 'apr'):
                                                    if (data['avg_credit_balance'] <= 624):
                                                        return u'no'
                                                    if (data['avg_credit_balance'] > 624):
                                                        return u'no'
                                                if (data['last_contact_month'] != 'apr'):
                                                    if (data['last_contact_month'] == 'sep'):
                                                        return u'no'
                                                    if (data['last_contact_month'] != 'sep'):
                                                        return u'no'
                                        if (data['days_passed'] > 374):
                                            if (data.get('age') is None):
                                                return u'no'
                                            if (data['age'] <= 53):
                                                return u'no'
                                            if (data['age'] > 53):
                                                return u'yes'
                                if (data['avg_credit_balance'] > 2032):
                                    if (data['last_contact_month'] == 'feb'):
                                        if (data['last_contact_duration_sec_'] <= 138):
                                            return u'yes'
                                        if (data['last_contact_duration_sec_'] > 138):
                                            if (data['avg_credit_balance'] <= 3467):
                                                if (data.get('has_housing_loan') is None):
                                                    return u'yes'
                                                if (data['has_housing_loan'] == 'yes'):
                                                    return u'no'
                                                if (data['has_housing_loan'] == 'no'):
                                                    return u'yes'
                                            if (data['avg_credit_balance'] > 3467):
                                                return u'no'
                                    if (data['last_contact_month'] != 'feb'):
                                        if (data.get('last_contact_day') is None):
                                            return u'no'
                                        if (data['last_contact_day'] <= 15):
                                            if (data['last_contact_month'] == 'nov'):
                                                return u'yes'
                                            if (data['last_contact_month'] != 'nov'):
                                                if (data.get('education') is None):
                                                    return u'no'
                                                if (data['education'] == 'tertiary'):
                                                    return u'no'
                                                if (data['education'] != 'tertiary'):
                                                    return u'no'
                                        if (data['last_contact_day'] > 15):
                                            if (data['last_contact_month'] == 'apr'):
                                                return u'no'
                                            if (data['last_contact_month'] != 'apr'):
                                                return u'no'
                        if (data['last_contact_duration_sec_'] > 212):
                            if (data.get('job') is None):
                                return u'no'
                            if (data['job'] == 'blue-collar'):
                                if (data['last_contact_month'] == 'may'):
                                    if (data.get('number_of_contacts') is None):
                                        return u'no'
                                    if (data['number_of_contacts'] <= 3):
                                        return u'no'
                                    if (data['number_of_contacts'] > 3):
                                        return u'yes'
                                if (data['last_contact_month'] != 'may'):
                                    return u'no'
                            if (data['job'] != 'blue-collar'):
                                if (data['last_contact_month'] == 'jul'):
                                    return u'no'
                                if (data['last_contact_month'] != 'jul'):
                                    if (data.get('age') is None):
                                        return u'no'
                                    if (data['age'] <= 60):
                                        if (data['last_contact_month'] == 'jun'):
                                            if (data['outcome_previous_campaign'] == 'unknown'):
                                                return u'yes'
                                            if (data['outcome_previous_campaign'] != 'unknown'):
                                                return u'no'
                                        if (data['last_contact_month'] != 'jun'):
                                            if (data.get('days_passed') is None):
                                                return u'no'
                                            if (data['days_passed'] <= 391):
                                                if (data.get('last_contact_day') is None):
                                                    return u'no'
                                                if (data['last_contact_day'] <= 20):
                                                    if (data['last_contact_duration_sec_'] <= 230):
                                                        return u'no'
                                                    if (data['last_contact_duration_sec_'] > 230):
                                                        return u'no'
                                                if (data['last_contact_day'] > 20):
                                                    if (data['last_contact_month'] == 'feb'):
                                                        return u'yes'
                                                    if (data['last_contact_month'] != 'feb'):
                                                        return u'no'
                                            if (data['days_passed'] > 391):
                                                return u'yes'
                                    if (data['age'] > 60):
                                        if (data.get('avg_credit_balance') is None):
                                            return u'yes'
                                        if (data['avg_credit_balance'] <= 885):
                                            if (data['last_contact_month'] == 'nov'):
                                                return u'yes'
                                            if (data['last_contact_month'] == 'aug'):
                                                return u'no'
                                        if (data['avg_credit_balance'] > 885):
                                            return u'yes'
    if (data['last_contact_duration_sec_'] > 251):
        if (data['last_contact_duration_sec_'] <= 639):
            if (data.get('outcome_previous_campaign') is None):
                return u'no'
            if (data['outcome_previous_campaign'] == 'success'):
                if (data.get('job') is None):
                    return u'yes'
                if (data['job'] == 'management'):
                    return u'yes'
                if (data['job'] == 'technician'):
                    if (data.get('last_contact_month') is None):
                        return u'yes'
                    if (data['last_contact_month'] == 'may'):
                        return u'no'
                    if (data['last_contact_month'] != 'may'):
                        if (data.get('age') is None):
                            return u'yes'
                        if (data['age'] <= 65):
                            return u'yes'
                        if (data['age'] > 65):
                            return u'no'
                if (data['job'] == 'unemployed'):
                    return u'yes'
                if (data['job'] == 'retired'):
                    return u'yes'
                if (data['job'] == 'unknown'):
                    if (data.get('last_contact_month') is None):
                        return u'yes'
                    if (data['last_contact_month'] == 'sep'):
                        return u'yes'
                    if (data['last_contact_month'] == 'aug'):
                        return u'no'
                if (data['job'] == 'housemaid'):
                    return u'yes'
                if (data['job'] == 'blue-collar'):
                    if (data.get('last_contact_month') is None):
                        return u'yes'
                    if (data['last_contact_month'] == 'may'):
                        return u'no'
                    if (data['last_contact_month'] != 'may'):
                        if (data['last_contact_month'] == 'feb'):
                            return u'no'
                        if (data['last_contact_month'] != 'feb'):
                            return u'yes'
                if (data['job'] == 'student'):
                    return u'yes'
                if (data['job'] == 'services'):
                    return u'yes'
                if (data['job'] == 'admin.'):
                    if (data.get('days_passed') is None):
                        return u'yes'
                    if (data['days_passed'] <= 187):
                        if (data.get('last_contact_month') is None):
                            return u'yes'
                        if (data['last_contact_month'] == 'nov'):
                            return u'no'
                        if (data['last_contact_month'] != 'nov'):
                            return u'yes'
                    if (data['days_passed'] > 187):
                        return u'no'
            if (data['outcome_previous_campaign'] != 'success'):
                if (data.get('contact_type') is None):
                    return u'no'
                if (data['contact_type'] == 'unknown'):
                    if (data['last_contact_duration_sec_'] <= 364):
                        return u'no'
                    if (data['last_contact_duration_sec_'] > 364):
                        if (data.get('has_personal_loan') is None):
                            return u'no'
                        if (data['has_personal_loan'] == 'yes'):
                            return u'no'
                        if (data['has_personal_loan'] == 'no'):
                            if (data.get('age') is None):
                                return u'no'
                            if (data['age'] <= 42):
                                if (data.get('last_contact_day') is None):
                                    return u'no'
                                if (data['last_contact_day'] <= 2):
                                    if (data['last_contact_duration_sec_'] <= 452):
                                        return u'no'
                                    if (data['last_contact_duration_sec_'] > 452):
                                        return u'yes'
                                if (data['last_contact_day'] > 2):
                                    if (data.get('avg_credit_balance') is None):
                                        return u'no'
                                    if (data['avg_credit_balance'] <= 661):
                                        if (data['last_contact_day'] <= 11):
                                            return u'no'
                                        if (data['last_contact_day'] > 11):
                                            return u'no'
                                    if (data['avg_credit_balance'] > 661):
                                        return u'no'
                            if (data['age'] > 42):
                                return u'no'
                if (data['contact_type'] != 'unknown'):
                    if (data.get('last_contact_month') is None):
                        return u'no'
                    if (data['last_contact_month'] == 'oct'):
                        if (data.get('last_contact_day') is None):
                            return u'yes'
                        if (data['last_contact_day'] <= 16):
                            if (data.get('education') is None):
                                return u'no'
                            if (data['education'] == 'unknown'):
                                return u'yes'
                            if (data['education'] != 'unknown'):
                                if (data.get('job') is None):
                                    return u'no'
                                if (data['job'] == 'admin.'):
                                    return u'yes'
                                if (data['job'] != 'admin.'):
                                    return u'no'
                        if (data['last_contact_day'] > 16):
                            return u'yes'
                    if (data['last_contact_month'] != 'oct'):
                        if (data['last_contact_month'] == 'jun'):
                            return u'yes'
                        if (data['last_contact_month'] != 'jun'):
                            if (data.get('days_passed') is None):
                                return u'no'
                            if (data['days_passed'] <= 373):
                                if (data['last_contact_month'] == 'jul'):
                                    if (data['contact_type'] == 'cellular'):
                                        if (data['last_contact_duration_sec_'] <= 562):
                                            if (data.get('age') is None):
                                                return u'no'
                                            if (data['age'] <= 32):
                                                return u'no'
                                            if (data['age'] > 32):
                                                return u'no'
                                        if (data['last_contact_duration_sec_'] > 562):
                                            if (data.get('job') is None):
                                                return u'no'
                                            if (data['job'] == 'blue-collar'):
                                                if (data.get('marital_status') is None):
                                                    return u'yes'
                                                if (data['marital_status'] == 'married'):
                                                    return u'no'
                                                if (data['marital_status'] != 'married'):
                                                    return u'yes'
                                            if (data['job'] != 'blue-collar'):
                                                if (data['last_contact_duration_sec_'] <= 633):
                                                    return u'no'
                                                if (data['last_contact_duration_sec_'] > 633):
                                                    return u'yes'
                                    if (data['contact_type'] == 'telephone'):
                                        if (data.get('avg_credit_balance') is None):
                                            return u'no'
                                        if (data['avg_credit_balance'] <= 675):
                                            return u'no'
                                        if (data['avg_credit_balance'] > 675):
                                            if (data['avg_credit_balance'] <= 1745):
                                                if (data.get('job') is None):
                                                    return u'yes'
                                                if (data['job'] == 'entrepreneur'):
                                                    return u'no'
                                                if (data['job'] != 'entrepreneur'):
                                                    if (data['last_contact_duration_sec_'] <= 276):
                                                        return u'no'
                                                    if (data['last_contact_duration_sec_'] > 276):
                                                        return u'yes'
                                            if (data['avg_credit_balance'] > 1745):
                                                return u'no'
                                if (data['last_contact_month'] != 'jul'):
                                    if (data.get('age') is None):
                                        return u'no'
                                    if (data['age'] <= 62):
                                        if (data['age'] <= 25):
                                            if (data.get('last_contact_day') is None):
                                                return u'yes'
                                            if (data['last_contact_day'] <= 16):
                                                if (data['outcome_previous_campaign'] == 'other'):
                                                    return u'yes'
                                                if (data['outcome_previous_campaign'] == 'unknown'):
                                                    return u'no'
                                            if (data['last_contact_day'] > 16):
                                                return u'yes'
                                        if (data['age'] > 25):
                                            if (data.get('has_personal_loan') is None):
                                                return u'no'
                                            if (data['has_personal_loan'] == 'yes'):
                                                if (data.get('last_contact_day') is None):
                                                    return u'no'
                                                if (data['last_contact_day'] <= 19):
                                                    return u'no'
                                                if (data['last_contact_day'] > 19):
                                                    return u'no'
                                            if (data['has_personal_loan'] == 'no'):
                                                if (data.get('education') is None):
                                                    return u'no'
                                                if (data['education'] == 'tertiary'):
                                                    if (data['days_passed'] <= 314):
                                                        return u'no'
                                                    if (data['days_passed'] > 314):
                                                        return u'no'
                                                if (data['education'] == 'primary'):
                                                    if (data.get('job') is None):
                                                        return u'no'
                                                    if (data['job'] == 'blue-collar'):
                                                        return u'no'
                                                    if (data['job'] != 'blue-collar'):
                                                        return u'no'
                                                if (data['education'] == 'secondary'):
                                                    if (data['last_contact_month'] == 'mar'):
                                                        return u'yes'
                                                    if (data['last_contact_month'] != 'mar'):
                                                        return u'no'
                                                if (data['education'] == 'unknown'):
                                                    return u'no'
                                    if (data['age'] > 62):
                                        if (data['last_contact_month'] == 'mar'):
                                            return u'no'
                                        if (data['last_contact_month'] != 'mar'):
                                            if (data.get('previous_contacts') is None):
                                                return u'yes'
                                            if (data['previous_contacts'] <= 1):
                                                if (data.get('last_contact_day') is None):
                                                    return u'yes'
                                                if (data['last_contact_day'] <= 14):
                                                    if (data.get('education') is None):
                                                        return u'no'
                                                    if (data['education'] == 'secondary'):
                                                        return u'no'
                                                    if (data['education'] != 'secondary'):
                                                        return u'yes'
                                                if (data['last_contact_day'] > 14):
                                                    if (data.get('avg_credit_balance') is None):
                                                        return u'yes'
                                                    if (data['avg_credit_balance'] <= 4170):
                                                        return u'yes'
                                                    if (data['avg_credit_balance'] > 4170):
                                                        return u'no'
                                            if (data['previous_contacts'] > 1):
                                                return u'no'
                            if (data['days_passed'] > 373):
                                if (data['last_contact_month'] == 'nov'):
                                    return u'no'
                                if (data['last_contact_month'] != 'nov'):
                                    return u'yes'
        if (data['last_contact_duration_sec_'] > 639):
            if (data.get('marital_status') is None):
                return u'no'
            if (data['marital_status'] == 'married'):
                if (data.get('last_contact_month') is None):
                    return u'no'
                if (data['last_contact_month'] == 'oct'):
                    if (data.get('education') is None):
                        return u'yes'
                    if (data['education'] == 'secondary'):
                        return u'no'
                    if (data['education'] != 'secondary'):
                        return u'yes'
                if (data['last_contact_month'] == 'jul'):
                    if (data['last_contact_duration_sec_'] <= 796):
                        if (data.get('avg_credit_balance') is None):
                            return u'no'
                        if (data['avg_credit_balance'] <= 681):
                            return u'no'
                        if (data['avg_credit_balance'] > 681):
                            if (data.get('job') is None):
                                return u'yes'
                            if (data['job'] == 'blue-collar'):
                                return u'yes'
                            if (data['job'] == 'management'):
                                if (data.get('education') is None):
                                    return u'no'
                                if (data['education'] == 'primary'):
                                    return u'yes'
                                if (data['education'] != 'primary'):
                                    return u'no'
                    if (data['last_contact_duration_sec_'] > 796):
                        return u'yes'
                if (data['last_contact_month'] == 'dec'):
                    if (data.get('education') is None):
                        return u'yes'
                    if (data['education'] == 'secondary'):
                        return u'yes'
                    if (data['education'] == 'unknown'):
                        return u'no'
                if (data['last_contact_month'] == 'jun'):
                    if (data.get('job') is None):
                        return u'no'
                    if (data['job'] == 'retired'):
                        return u'yes'
                    if (data['job'] != 'retired'):
                        if (data['last_contact_duration_sec_'] <= 830):
                            if (data['job'] == 'blue-collar'):
                                if (data.get('education') is None):
                                    return u'yes'
                                if (data['education'] == 'tertiary'):
                                    return u'no'
                                if (data['education'] != 'tertiary'):
                                    return u'yes'
                            if (data['job'] != 'blue-collar'):
                                return u'no'
                        if (data['last_contact_duration_sec_'] > 830):
                            if (data['job'] == 'entrepreneur'):
                                return u'yes'
                            if (data['job'] != 'entrepreneur'):
                                return u'no'
                if (data['last_contact_month'] == 'apr'):
                    if (data.get('last_contact_day') is None):
                        return u'yes'
                    if (data['last_contact_day'] <= 18):
                        if (data.get('outcome_previous_campaign') is None):
                            return u'no'
                        if (data['outcome_previous_campaign'] == 'other'):
                            return u'yes'
                        if (data['outcome_previous_campaign'] != 'other'):
                            if (data.get('job') is None):
                                return u'no'
                            if (data['job'] == 'entrepreneur'):
                                return u'yes'
                            if (data['job'] != 'entrepreneur'):
                                return u'no'
                    if (data['last_contact_day'] > 18):
                        return u'yes'
                if (data['last_contact_month'] == 'feb'):
                    if (data.get('outcome_previous_campaign') is None):
                        return u'yes'
                    if (data['outcome_previous_campaign'] == 'failure'):
                        if (data.get('education') is None):
                            return u'no'
                        if (data['education'] == 'tertiary'):
                            return u'yes'
                        if (data['education'] != 'tertiary'):
                            return u'no'
                    if (data['outcome_previous_campaign'] == 'unknown'):
                        return u'yes'
                if (data['last_contact_month'] == 'may'):
                    if (data.get('contact_type') is None):
                        return u'no'
                    if (data['contact_type'] == 'cellular'):
                        if (data['last_contact_duration_sec_'] <= 892):
                            return u'yes'
                        if (data['last_contact_duration_sec_'] > 892):
                            return u'no'
                    if (data['contact_type'] != 'cellular'):
                        if (data.get('age') is None):
                            return u'no'
                        if (data['age'] <= 55):
                            if (data['last_contact_duration_sec_'] <= 1249):
                                return u'no'
                            if (data['last_contact_duration_sec_'] > 1249):
                                if (data.get('number_of_contacts') is None):
                                    return u'yes'
                                if (data['number_of_contacts'] <= 1):
                                    return u'no'
                                if (data['number_of_contacts'] > 1):
                                    return u'yes'
                        if (data['age'] > 55):
                            return u'yes'
                if (data['last_contact_month'] == 'aug'):
                    if (data.get('avg_credit_balance') is None):
                        return u'yes'
                    if (data['avg_credit_balance'] <= 3849):
                        return u'yes'
                    if (data['avg_credit_balance'] > 3849):
                        return u'no'
                if (data['last_contact_month'] == 'nov'):
                    if (data.get('age') is None):
                        return u'no'
                    if (data['age'] <= 50):
                        if (data['age'] <= 34):
                            return u'no'
                        if (data['age'] > 34):
                            if (data.get('education') is None):
                                return u'yes'
                            if (data['education'] == 'tertiary'):
                                if (data.get('outcome_previous_campaign') is None):
                                    return u'no'
                                if (data['outcome_previous_campaign'] == 'other'):
                                    return u'yes'
                                if (data['outcome_previous_campaign'] == 'unknown'):
                                    if (data.get('number_of_contacts') is None):
                                        return u'no'
                                    if (data['number_of_contacts'] <= 3):
                                        return u'no'
                                    if (data['number_of_contacts'] > 3):
                                        return u'yes'
                            if (data['education'] != 'tertiary'):
                                return u'yes'
                    if (data['age'] > 50):
                        return u'no'
                if (data['last_contact_month'] == 'jan'):
                    if (data.get('avg_credit_balance') is None):
                        return u'no'
                    if (data['avg_credit_balance'] <= 2235):
                        return u'no'
                    if (data['avg_credit_balance'] > 2235):
                        return u'yes'
                if (data['last_contact_month'] == 'mar'):
                    return u'yes'
            if (data['marital_status'] != 'married'):
                if (data.get('last_contact_day') is None):
                    return u'yes'
                if (data['last_contact_day'] <= 7):
                    if (data['last_contact_duration_sec_'] <= 679):
                        return u'yes'
                    if (data['last_contact_duration_sec_'] > 679):
                        if (data['last_contact_duration_sec_'] <= 1199):
                            return u'no'
                        if (data['last_contact_duration_sec_'] > 1199):
                            if (data.get('job') is None):
                                return u'yes'
                            if (data['job'] == 'technician'):
                                return u'no'
                            if (data['job'] != 'technician'):
                                return u'yes'
                if (data['last_contact_day'] > 7):
                    if (data['last_contact_day'] <= 19):
                        if (data.get('age') is None):
                            return u'yes'
                        if (data['age'] <= 55):
                            if (data['age'] <= 40):
                                if (data['last_contact_duration_sec_'] <= 1309):
                                    return u'yes'
                                if (data['last_contact_duration_sec_'] > 1309):
                                    return u'no'
                            if (data['age'] > 40):
                                return u'yes'
                        if (data['age'] > 55):
                            if (data.get('avg_credit_balance') is None):
                                return u'no'
                            if (data['avg_credit_balance'] <= 1085):
                                return u'no'
                            if (data['avg_credit_balance'] > 1085):
                                return u'yes'
                    if (data['last_contact_day'] > 19):
                        if (data['last_contact_duration_sec_'] <= 1020):
                            if (data.get('job') is None):
                                return u'no'
                            if (data['job'] == 'blue-collar'):
                                return u'no'
                            if (data['job'] != 'blue-collar'):
                                if (data.get('avg_credit_balance') is None):
                                    return u'yes'
                                if (data['avg_credit_balance'] <= 20):
                                    if (data.get('last_contact_month') is None):
                                        return u'no'
                                    if (data['last_contact_month'] == 'jul'):
                                        return u'yes'
                                    if (data['last_contact_month'] != 'jul'):
                                        return u'no'
                                if (data['avg_credit_balance'] > 20):
                                    if (data['job'] == 'entrepreneur'):
                                        return u'no'
                                    if (data['job'] == 'unemployed'):
                                        return u'no'
                                    if (data['job'] == 'services'):
                                        return u'no'
                                    if (data['job'] == 'technician'):
                                        if (data.get('last_contact_month') is None):
                                            return u'yes'
                                        if (data['last_contact_month'] == 'aug'):
                                            return u'no'
                                        if (data['last_contact_month'] != 'aug'):
                                            return u'yes'
                                    if (data['job'] == 'housemaid'):
                                        return u'yes'
                                    if (data['job'] == 'self-employed'):
                                        return u'yes'
                                    if (data['job'] == 'management'):
                                        if (data.get('age') is None):
                                            return u'no'
                                        if (data['age'] <= 33):
                                            return u'yes'
                                        if (data['age'] > 33):
                                            return u'no'
                                    if (data['job'] == 'admin.'):
                                        if (data.get('education') is None):
                                            return u'yes'
                                        if (data['education'] == 'secondary'):
                                            return u'yes'
                                        if (data['education'] == 'unknown'):
                                            return u'no'
                        if (data['last_contact_duration_sec_'] > 1020):
                            if (data.get('avg_credit_balance') is None):
                                return u'yes'
                            if (data['avg_credit_balance'] <= 1546):
                                if (data.get('job') is None):
                                    return u'yes'
                                if (data['job'] == 'technician'):
                                    return u'no'
                                if (data['job'] != 'technician'):
                                    return u'yes'
                            if (data['avg_credit_balance'] > 1546):
                                return u'no'