def predict_crash_date_day_of_week(data={}):
    """ Predictor for Crash Date.day-of-week from model/50f2d9cb3b56354d2c0002d2

        Day of week patterns in car accidents with fatalities, based on accident and personal variables during 2011 in USA
        Source
        Fatality Analysis Reporting System (FARS) Encyclopedia[*]
        [*]Fatality Analysis Reporting System (FARS) Encyclopedia: http://www-fars.nhtsa.dot.gov
    """
    if (data.get('alcohol_results') is None):
        return 4.29223
    if (data['alcohol_results'] <= 0.015):
        if (data.get('person_type') is None):
            return 4.00483
        if (data['person_type'] != 'Passenger of a Motor Vehicle In-Transport'):
            if (data.get('age') is None):
                return 3.97758
            if (data['age'] <= 37):
                if (data.get('roadway') is None):
                    return 4.07482
                if (data['roadway'] != 'Unknown'):
                    if (data.get('injury_severity') is None):
                        return 4.08063
                    if (data['injury_severity'] == 'Incapacitating Injury (A)'):
                        return 4.42755
                    if (data['injury_severity'] != 'Incapacitating Injury (A)'):
                        if (data.get('atmospheric_condition') is None):
                            return 4.05713
                        if (data['atmospheric_condition'] != 'Rain'):
                            if (data.get('drug_involvement') is None):
                                return 4.07521
                            if (data['drug_involvement'] == 'Unknown'):
                                if (data.get('race') is None):
                                    return 4.20391
                                if (data['race'] != 'Chinese'):
                                    if (data['roadway'] == 'Rural-Principal Arterial-Other'):
                                        return 3.70833
                                    if (data['roadway'] != 'Rural-Principal Arterial-Other'):
                                        return 4.22441
                                if (data['race'] == 'Chinese'):
                                    return 6.66667
                            if (data['drug_involvement'] != 'Unknown'):
                                if (data['roadway'] != 'Urban-Unknown Urban'):
                                    if (data['injury_severity'] == 'Injured, Severity Unknown'):
                                        return 2.2
                                    if (data['injury_severity'] != 'Injured, Severity Unknown'):
                                        return 4.05
                                if (data['roadway'] == 'Urban-Unknown Urban'):
                                    return 2
                        if (data['atmospheric_condition'] == 'Rain'):
                            return 3.81395
                if (data['roadway'] == 'Unknown'):
                    return 2.2381
            if (data['age'] > 37):
                if (data.get('atmospheric_condition') is None):
                    return 3.9107
                if (data['atmospheric_condition'] != 'Rain'):
                    if (data.get('crash_date_month') is None):
                        return 3.93167
                    if (data['crash_date_month'] <= 3):
                        if (data['atmospheric_condition'] != 'Fog, Smog, Smoke'):
                            if (data.get('roadway') is None):
                                return 3.76004
                            if (data['roadway'] == 'Rural-Principal Arterial-Interstate'):
                                return 4.18881
                            if (data['roadway'] != 'Rural-Principal Arterial-Interstate'):
                                if (data['age'] > 88):
                                    return 2.83871
                                if (data['age'] <= 88):
                                    if (data['age'] <= 60):
                                        return 3.81101
                                    if (data['age'] > 60):
                                        return 3.62979
                        if (data['atmospheric_condition'] == 'Fog, Smog, Smoke'):
                            if (data.get('gender') is None):
                                return 4.75758
                            if (data['gender'] == 'Female'):
                                if (data['crash_date_month'] > 2):
                                    return 4.33333
                                if (data['crash_date_month'] <= 2):
                                    return 6.5
                            if (data['gender'] == 'Male'):
                                return 3.95
                    if (data['crash_date_month'] > 3):
                        if (data['age'] > 73):
                            if (data.get('injury_severity') is None):
                                return 3.7926
                            if (data['injury_severity'] == 'Non-incapacitating Evident Injury (B)'):
                                return 4.86207
                            if (data['injury_severity'] != 'Non-incapacitating Evident Injury (B)'):
                                if (data.get('roadway') is None):
                                    return 3.76152
                                if (data['roadway'] != 'Rural-Local Road or Street'):
                                    if (data.get('race') is None):
                                        return 3.78964
                                    if (data['race'] == 'All other races'):
                                        return 7
                                    if (data['race'] != 'All other races'):
                                        return 3.77284
                                if (data['roadway'] == 'Rural-Local Road or Street'):
                                    return 3.39437
                        if (data['age'] <= 73):
                            if (data['atmospheric_condition'] == 'Cloudy'):
                                if (data.get('roadway') is None):
                                    return 3.83023
                                if (data['roadway'] != 'Urban-Other Principal Arterial'):
                                    if (data['crash_date_month'] <= 11):
                                        return 3.8388
                                    if (data['crash_date_month'] > 11):
                                        return 3.19355
                                if (data['roadway'] == 'Urban-Other Principal Arterial'):
                                    return 4.27731
                            if (data['atmospheric_condition'] != 'Cloudy'):
                                if (data.get('drug_involvement') is None):
                                    return 4.03754
                                if (data['drug_involvement'] != 'Unknown'):
                                    if (data.get('race') is None):
                                        return 4.06563
                                    if (data['race'] == 'Black'):
                                        return 3.82083
                                    if (data['race'] != 'Black'):
                                        return 4.10732
                                if (data['drug_involvement'] == 'Unknown'):
                                    if (data['age'] <= 52):
                                        return 4.04889
                                    if (data['age'] > 52):
                                        return 3.73671
                if (data['atmospheric_condition'] == 'Rain'):
                    return 3.62725
        if (data['person_type'] == 'Passenger of a Motor Vehicle In-Transport'):
            if (data.get('race') is None):
                return 4.27683
            if (data['race'] == 'Asian Indian'):
                return 6.45455
            if (data['race'] != 'Asian Indian'):
                if (data.get('drug_involvement') is None):
                    return 4.26138
                if (data['drug_involvement'] != 'Not Reported'):
                    return 3.94463
                if (data['drug_involvement'] == 'Not Reported'):
                    if (data.get('age') is None):
                        return 4.33642
                    if (data['age'] <= 88):
                        if (data['race'] != 'Black'):
                            if (data['age'] <= 17):
                                return 4.02575
                            if (data['age'] > 17):
                                if (data.get('atmospheric_condition') is None):
                                    return 4.38571
                                if (data['atmospheric_condition'] != 'Severe Crosswinds'):
                                    if (data.get('gender') is None):
                                        return 4.39581
                                    if (data['gender'] == 'Male'):
                                        return 4.22637
                                    if (data['gender'] == 'Female'):
                                        return 4.53069
                                if (data['atmospheric_condition'] == 'Severe Crosswinds'):
                                    return 1.33333
                        if (data['race'] == 'Black'):
                            return 4.73016
                    if (data['age'] > 88):
                        if (data.get('roadway') is None):
                            return 3.09524
                        if (data['roadway'] != 'Rural-Principal Arterial-Other'):
                            return 2.70588
                        if (data['roadway'] == 'Rural-Principal Arterial-Other'):
                            if (data['race'] == 'White'):
                                return 6.5
                            if (data['race'] != 'White'):
                                return 3
    if (data['alcohol_results'] > 0.015):
        if (data.get('age') is None):
            return 4.78257
        if (data['age'] > 40):
            if (data.get('person_type') is None):
                return 4.52728
            if (data['person_type'] == 'Pedestrian'):
                return 4.27182
            if (data['person_type'] != 'Pedestrian'):
                if (data['age'] > 55):
                    if (data.get('race') is None):
                        return 4.40047
                    if (data['race'] == 'Black'):
                        return 4.87179
                    if (data['race'] != 'Black'):
                        return 4.30501
                if (data['age'] <= 55):
                    if (data['person_type'] == 'Bicyclist'):
                        return 3.92308
                    if (data['person_type'] != 'Bicyclist'):
                        if (data['alcohol_results'] > 0.195):
                            if (data.get('gender') is None):
                                return 4.56114
                            if (data['gender'] == 'Male'):
                                return 4.64548
                            if (data['gender'] == 'Female'):
                                return 4.20359
                        if (data['alcohol_results'] <= 0.195):
                            if (data['alcohol_results'] <= 0.025):
                                return 5.33333
                            if (data['alcohol_results'] > 0.025):
                                if (data.get('race') is None):
                                    return 4.74074
                                if (data['race'] != 'Vietnamese'):
                                    if (data['race'] == 'Chinese'):
                                        return 1
                                    if (data['race'] != 'Chinese'):
                                        return 4.72088
                                if (data['race'] == 'Vietnamese'):
                                    return 1
        if (data['age'] <= 40):
            if (data.get('person_type') is None):
                return 4.93038
            if (data['person_type'] == 'Passenger of a Motor Vehicle In-Transport'):
                if (data.get('atmospheric_condition') is None):
                    return 5.17041
                if (data['atmospheric_condition'] != 'Not Reported'):
                    if (data.get('race') is None):
                        return 5.18013
                    if (data['race'] == 'Chinese'):
                        return 2
                    if (data['race'] != 'Chinese'):
                        return 5.19776
                if (data['atmospheric_condition'] == 'Not Reported'):
                    return 1.5
            if (data['person_type'] != 'Passenger of a Motor Vehicle In-Transport'):
                if (data.get('gender') is None):
                    return 4.89754
                if (data['gender'] != 'Female'):
                    if (data['person_type'] == 'Bicyclist'):
                        return 4.21154
                    if (data['person_type'] != 'Bicyclist'):
                        if (data['alcohol_results'] > 0.055):
                            if (data['age'] <= 29):
                                if (data.get('drug_involvement') is None):
                                    return 5.02651
                                if (data['drug_involvement'] != 'No'):
                                    if (data.get('atmospheric_condition') is None):
                                        return 5.08589
                                    if (data['atmospheric_condition'] == 'Fog, Smog, Smoke'):
                                        return 5.90909
                                    if (data['atmospheric_condition'] != 'Fog, Smog, Smoke'):
                                        return 5.07075
                                if (data['drug_involvement'] == 'No'):
                                    if (data['alcohol_results'] <= 0.075):
                                        return 4.02778
                                    if (data['alcohol_results'] > 0.075):
                                        return 4.93735
                            if (data['age'] > 29):
                                if (data['person_type'] != 'Unknown Occupant Type in a Motor Vehicle In- Transport'):
                                    if (data.get('race') is None):
                                        return 4.86225
                                    if (data['race'] == 'All other races'):
                                        return 5.93333
                                    if (data['race'] != 'All other races'):
                                        return 4.83744
                                if (data['person_type'] == 'Unknown Occupant Type in a Motor Vehicle In- Transport'):
                                    return 6.83333
                        if (data['alcohol_results'] <= 0.055):
                            return 4.68955
                if (data['gender'] == 'Female'):
                    if (data.get('crash_date_month') is None):
                        return 4.68398
                    if (data['crash_date_month'] <= 10):
                        if (data.get('injury_severity') is None):
                            return 4.76709
                        if (data['injury_severity'] != 'Possible Injury (C)'):
                            if (data.get('roadway') is None):
                                return 4.73272
                            if (data['roadway'] == 'Urban-Other Principal Arterial'):
                                return 5.11215
                            if (data['roadway'] != 'Urban-Other Principal Arterial'):
                                return 4.67121
                        if (data['injury_severity'] == 'Possible Injury (C)'):
                            return 5.91304
                    if (data['crash_date_month'] > 10):
                        return 4.19403