import sys
import pdb
import math

import cv2
import theano
import numpy as np
import theano.tensor.signal

import image_inversion

from theano.tensor.signal.conv import conv2d

def gauss2D_filter(degree, image_shape):

    shape = (degree, degree)
    sigma = math.pow(degree, 2)

    m,n = [(ss-1.)/2. for ss in shape]
    y,x = np.ogrid[-m:m+1,-n:n+1]
    h = np.exp( -(x*x + y*y) / (2.*sigma*sigma) )
    h[ h < np.finfo(h.dtype).eps*h.max() ] = 0
    sumh = h.sum()
    if sumh != 0:
        h /= sumh

    filter_mat = h.astype(theano.config.floatX)

    image_bits = theano.tensor.matrix('image_bits', dtype=theano.config.floatX)

    blur_expr = conv2d(image_bits.reshape(image_shape), filter_mat, filter_shape=filter_mat.shape)
    blur_fn = theano.function([image_bits], blur_expr)

    return image_bits, blur_expr, blur_fn

img_file = sys.argv[1]

image = cv2.cvtColor(cv2.imread(img_file), cv2.COLOR_BGR2GRAY)
image = cv2.resize(image, None, fx=2, fy=2)
image_var = theano.shared(value=image, name='img', borrow=True)
image_bits = image_var.get_value().astype(dtype=theano.config.floatX)
# image = cv2.GaussianBlur(image, (55, 55), 10)

# pdb.set_trace()

n = 20.0
var, blur_expr, blur_fn = gauss2D_filter(n, image_shape=image_bits.shape)
# filter_mat = gauss2D(shape=(n,n), sigma=math.sqrt(n)).astype(theano.config.floatX) # (1.0/float(n*n)) * np.ones([n, n], dtype=theano.config.floatX)
# blur_expr = conv2d(image_bits, filter_mat, image_shape=image_bits.shape, filter_shape=filter_mat.shape)
# blur_fn = theano.function([], blur_expr)

print image_bits.shape
print blur_fn(image_bits).shape

cv2.namedWindow('status', cv2.CV_WINDOW_AUTOSIZE)
cv2.imshow('status', image_inversion.normalize(blur_fn(image_bits), 0, 255, np.uint8))
cv2.waitKey()