import sys
import csv

def readcsv(filename, delete_with_missing=True, remove_val_commas=True, remove_val_squotes=True, remove_val_dquotes=True):

	data = []

	with open(filename, 'rb') as f:
		dialect = csv.Sniffer().sniff(f.read(1024))
		f.seek(0)
		reader = csv.reader(f, dialect)

		first = True
		for row in reader:
			minlen = min([len(val) for val in row])
			if minlen == 0 and delete_with_missing:
				continue
			newrow = []			
			for val in row:
				newval = val
				if first:
					print val
				if remove_val_commas:
					newval = newval.replace(',', '')
				if remove_val_squotes:
					newval = newval.replace('\'', '')
				if remove_val_dquotes:
					newval = newval.replace('\"', '')
				if first:
					print "\t", newval
					print '-'*60			
				newrow.append(newval)
			first = False
			row = newrow

			data.append(row)

	return data, dialect

def writecsv(data, filename, dialect):

	with open(filename, 'wb') as f:
		writer = csv.writer(f, dialect=dialect)
		for row in data:
			writer.writerow(row)

def main():

	data, dialect = readcsv(sys.argv[1], delete_with_missing=False)
	# dialect.escapechar = '\\'
	writecsv(data, sys.argv[2], dialect)

if __name__ == '__main__':
	main()