import sys
import csv

def write_csv(filename, data, attributes):

	with open(filename, 'wb') as f:
		first = True
		for attr in attributes:
			quotes = "\"" if (',' in attr) else ""
			f.write("%s%s%s%s" % ("," if not first else "", quotes, attr, quotes))
			first = False
		f.write("\n")
		for row in data:
			first = True
			for attr in attributes:
				quotes = "\"" if (',' in row[attr]) else ""
				f.write("%s%s%s%s" % ("," if not first else "", quotes, row[attr], quotes))
				first = False
			f.write("\n")

attributes = []
with open(sys.argv[1], 'rb') as f:
	dialect = csv.Sniffer().sniff(f.read(1024))
	f.seek(0)
	reader = csv.reader(f, dialect)
	attributes = reader.next()
	attributes = [el.strip() for el in attributes]
# attributes.remove("do_you_eat_steak_")

data = []
with open(sys.argv[2], 'rb') as f:
	dialect = csv.Sniffer().sniff(f.read(1024))
	f.seek(0)
	reader = csv.reader(f, dialect)
	
	attrline = reader.next()
	attrline = [el.strip() for el in attrline]
	new_attributes = {attrline[i]: i for i in range(len(attrline))}

	for row in reader:
		drow = {}
		for i in range(len(attributes)):
			drow[attributes[i]] = row[new_attributes[attributes[i]]]		

		data.append(drow)

write_csv(sys.argv[3], data, attributes)