import sys
import os
import argparse
import gzip
import math
import random
import subprocess as sp
import time
import json
import pdb
import shutil

import pylearn2
import theano
import theano.tensor.signal
import numpy as np
# import numdifftools as nd
# import algopy
import cv2
import cPickle

import scipy
from scipy.optimize import fmin_l_bfgs_b
from scipy.optimize import fmin_bfgs

from collections import namedtuple

from pylearn2.config import yaml_parse
from pylearn2.utils import serial
from pylearn2.utils import safe_zip
from pylearn2.utils.data_specs import DataSpecsMapping

from theano.tensor.signal.conv import conv2d

from multiencoder import EncoderCascade

from PIL import Image

def labeldirs(path):

    # matcher = re.compile("s(\d+)")

    labelmap = {}

    i = 0
    for dirname, dirnames, filenames in os.walk(path):
        for subdirname in dirnames:
            labelmap[i] = subdirname
            i += 1
    
    return labelmap

def main():

    exp_dir = sys.argv[1]
    image_dir = sys.argv[2]

    labelmap = labeldirs(image_dir)

    for dirname, dirnames, filenames in os.walk(exp_dir):
        if len(dirnames) == 0:
            dirnames = [""]
        for subdirname in dirnames:
            subject_path = os.path.join(dirname, subdirname)
            
            print "working", subject_path
            
            config_name = os.path.join(subject_path, "config.json")
            if not os.path.exists(config_name):
                continue

            with open(config_name, "rb") as fp:
                config = json.load(fp)

            target_label = config["target_label"]
            target_img_file = os.path.join(image_dir, labelmap[target_label], "1.pgm")            
            target_img = cv2.cvtColor(cv2.imread(os.path.join(image_dir, labelmap[target_label], "1.pgm")), cv2.COLOR_BGR2GRAY)
            img = cv2.resize(target_img, None, fx=2, fy=2)            
            cv2.imwrite(os.path.join(subject_path, "target_img.png"), img)

if __name__ == '__main__':
    main()
