import sys
import os
import argparse
import gzip
import math
import random
import subprocess as sp
import time
import webcam
import projector

import pylearn2
import theano
import scipy
import numpy as np
import cv2
import cPickle

from pylearn2.config import yaml_parse
from pylearn2.utils import serial
from pylearn2.utils import safe_zip
from pylearn2.utils.data_specs import DataSpecsMapping

from multiencoder import EncoderCascade

from PIL import Image

def pixelate_img(orig_img, npix=10):

	height, width = orig_img.shape
	img = np.copy(orig_img)

	for x in range(0, height, npix):
		for y in range(0, width, npix):
			ux = min(x+npix, height)
			uy = min(y+npix, width)
			img[x:ux, y:uy] = int(round(np.mean(orig_img[x:ux, y:uy])))

	return img

orig_img = cv2.cvtColor(cv2.imread(sys.argv[1]), cv2.COLOR_BGR2GRAY)
npix = int(sys.argv[2])
scaled_orig = cv2.resize(orig_img, None, fx=2, fy=2, interpolation=cv2.INTER_NEAREST)

img = cv2.resize(pixelate_img(orig_img, npix), None, fx=2, fy=2, interpolation=cv2.INTER_NEAREST)
height, width = img.shape
cv2.putText(img, "pixelated=%d" % npix, (0, 12), cv2.FONT_HERSHEY_COMPLEX, 0.5, 0)
cv2.putText(scaled_orig, "original", (0, 12), cv2.FONT_HERSHEY_COMPLEX, 0.5, 0)
full_img = np.concatenate((scaled_orig, img), axis=1)

cv2.namedWindow('status', cv2.CV_WINDOW_AUTOSIZE)
cv2.imshow('status', full_img)
cv2.waitKey(0)
