import os
import sys
import re

import cv2
import numpy
import theano

path = sys.argv[1]
min_samples = int(sys.argv[2])
labels = {}
files = {}

parser = re.compile('(\D+)\d+(.*)')

for dirname, dirnames, filenames in os.walk(path):
	if len(dirnames) == 0:
		dirnames = [""]
	for subdirname in dirnames:
		subject_path = os.path.join(dirname, subdirname)
		print "working", subject_path
		for filename in os.listdir(subject_path):
			m = parser.match(filename)
			if filename.startswith(".") or m is None:
				continue
			
			label = os.path.join(subject_path, m.groups()[0])
			extension = m.groups()[1]

			if not label in labels.keys():
				labels[label] = 1
				files[label] = []
			else:
				labels[label] += 1
			files[label].append((os.path.join(subject_path, filename), filename))

nclasses = 0
for label, count in labels.items():
	if count >= min_samples:
		nclasses += 1
		os.mkdir(label)
		for (full_filen, filen) in files[label]:
			new_filen = os.path.join(label, filen)
			print "moving %s to %s" % (full_filen, new_filen)
			os.rename(full_filen, new_filen)

print "\n"
print '-'*50
print "nclasses=", nclasses