import os
import pylearn2
import theano
import numpy as np
import random

from pylearn2.config import yaml_parse
from pylearn2.utils import serial
from pylearn2.utils import safe_zip
from pylearn2.utils.data_specs import DataSpecsMapping

# with open(os.path.join(pylearn2.__path__[0], 'scripts', 'tutorials', 'multilayer_perceptron', 'mlp_tutorial_part_2.yaml'), 'r') as f:
#     train = f.read()
# mlp_params = {'train_stop' : 50000,
#                 'valid_stop' : 60000,
#                 'dim_h0' : 500,
#                 'max_epochs' : 10000,
#                 'save_path' : '../models'}
# # conv_params = {'train_stop': 50000,
# #                 'valid_stop': 60000,
# #                 'test_stop': 10000,
# #                 'batch_size': 100,
# #                 'output_channels_h2': 64, 
# #                 'output_channels_h3': 64,  
# #                 'max_epochs': 500,
# #                 'save_path': '../models'}

# train = train % mlp_params

# train = yaml_parse.load(train)
# train.main_loop()

model = serial.load("../models/mlp_best.pkl")
for param in model.get_params():
	name = param.name
	print type(param)
	if name is None:
		name = '<anon>'
	v = param.get_value()
	print name + ': ' + str((v.min(), v.mean(), v.max())), v.shape

print "\n"

cost = model.get_default_cost()
data_specs = cost.get_data_specs(model)
print data_specs
mapping = DataSpecsMapping(data_specs)
space_tuple = mapping.flatten(data_specs[0], return_tuple=True)
source_tuple = mapping.flatten(data_specs[1], return_tuple=True)

# Build a flat tuple of Theano Variables, one for each space,
# named according to the sources.
features_var = None
targets_var = None

theano_args = []
for space, source in safe_zip(space_tuple, source_tuple):	
	name = 'BGD_[%s]' % source
	arg = space.make_theano_batch(name=name)
	if source == "features":
		features_var = arg
	elif source == "targets":
		targets_var = arg
	theano_args.append(arg)
theano_args = tuple(theano_args)

# Methods of `self.cost` need args to be passed in a format compatible
# with their data_specs
nested_args = mapping.nest(theano_args)
fixed_var_descr = cost.get_fixed_var_descr(model, nested_args)

expr = cost.expr(model, nested_args, ** fixed_var_descr.fixed_vars)
randv = np.asarray([random.random() for j in range(0, 784)], dtype=theano.config.floatX).reshape(1,784)
r = theano.tensor.matrix(name='r', dtype=theano.config.floatX)
new_expr = theano.clone(expr, replace={features_var: randv+r})
new_grad = theano.tensor.grad(cost=new_expr, wrt=r)

print theano.pp(new_expr)
