import sys
import csv

from sklearn import tree
from sklearn.externals.six import StringIO

def read_csv(filename, classindex):

	data = []
	categories = []
	attributes = []

	with open(filename, 'rb') as f:
		dialect = csv.Sniffer().sniff(f.read(1024))
		f.seek(0)
		reader = csv.reader(f, dialect)
		attrline = reader.next()
		attrline = [el.strip() for el in attrline]
		attributes = {attrline[i]: i for i in range(len(attrline))}

		for row in reader:
			drow = []
			for i in range(len(attributes)):
				if i != classindex:
					drow.append(row[i])
				else:
					categories.append(row[i])

			data.append(drow)

	return (attributes, data, categories)


attributes, data, categories = read_csv(sys.argv[1], int(sys.argv[2]))

# print data[0]
# quit()

itree = tree.DecisionTreeClassifier(random_state=0)
itree = itree.fit(data, categories)